<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<style>
    .square{
        width: 100px;
        height: 100px;
        border: 1px solid black;
    }
</style>

<body>
    <div class="container" id="App">
        <button @click="change">Change Colors</button>
        <div class="row mt-4" v-for="(row) in colors">
            <div class="col" v-for="(col) in row">
                <div class="square" :style="'background-color:'+col">
                </div>
                {{col}}
            </div>
        </div>
    </div>
</body>

<script>
    var App = new Vue({
        el: "#App",
        data: {
            colors: []
        },
        methods: {
            change() {
                this.colors=[]
                console.log("working")
                for (let i = 0; i < 2; i++) {
                    this.colors.push([]);
                    for (let y = 0; y < 7; y++) {
                        this.colors[i].push(this.randomColor())
                    }
                }
                console.log(this.colors)
            },
            randomColor() {
                let options = "0123456789ABCDEF";
                let color = "#";
                for (let i = 0; i < 6; i++)
                    color += options[Math.floor(Math.random() * 16)];
                return color;
            },
        },
    })
</script>

<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
    integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous">
</script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
</script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
    integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous">
</script>

</html>